WordPress Security

Vulnerabilities

WordPress is vulnerable because it is such a big target and requires some level of maintenance.  If you can get by without the database and the backend, then you should do it.  In the near future, I plan on trying out a static site generator plugin for wordpress and converting my wordpress sites over to static sites.